Sandbox Generate Wallet Address
curl --request POST \
--url https://api.openxswitch.com/v1/sandbox/wallet/address \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"coin": "<string>",
"chain": "<string>"
}
'import requests
url = "https://api.openxswitch.com/v1/sandbox/wallet/address"
payload = {
"coin": "<string>",
"chain": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({coin: '<string>', chain: '<string>'})
};
fetch('https://api.openxswitch.com/v1/sandbox/wallet/address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "34303043....",
"coin": "Bitcoin",
"chain": "Ethereum",
"network": "Mainnet",
"address": "0x123456789abcdef",
"workspaceId": "60f7d4b5b4d5c909a85b8d7e",
"createdAt": null,
"walletId": "63e1b8c2f18e310bb11f8a9c",
"tag": "Memo123"
}
}{
"statusCode": 400,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}{
"statusCode": 404,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "Cannot GET /v1/..."
}{
"statusCode": 422,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": [
"param is required"
]
}{
"statusCode": 500,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}Wallet Endpoints
Sandbox Generate Wallet Address
Generate a new wallet address or retrieve an existing one for the specified sub-wallet.
Addresses can only be generated for recharge coins.POST
/
v1
/
sandbox
/
wallet
/
address
Sandbox Generate Wallet Address
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The token name. Only rechargeable currencies are accepted.
Refer to the Get Recharge Currencies endpoint for the list of supported currencies.
The blockchain network on which the address is being generated
⌘I
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=062e79ad9c4540929eec204aff020178)
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=f6328956931c9664a2a070c2edb6e9b3)